Summary:	Light weight X11 display manager
Name:		lxdm
Version:	0.5.3
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxdm/%{name}-%{version}.tar.xz
# Source0-md5:	061caae432634e6db38bbdc84bc6ffa0
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.Xsession
Patch0:		%{name}-setuid.patch
Patch1:		greeter-skip-services.patch
URL:		http://wiki.lxde.org/en/LXDM
BuildRequires:	ConsoleKit-devel
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.627
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	/usr/bin/X
Requires:	iso-codes
Requires:	xinitrc-ng >= 1.0
Suggests:	%{name}-init
Suggests:	openbox
Provides:	XDM
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Light weight X11 display manager.

%package init
Summary:	Init script for lxdm
Summary(pl.UTF-8):	Skrypt init dla lxdm-a
Group:		X11/Applications
Requires(post,preun):	/sbin/chkconfig
Requires(post,postun):	systemd-units >= 38
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts >= 0.4.3.0
Requires:	systemd-units >= 38

%description init
Init script for lxdm.

%description init -l pl.UTF-8
Skrypt init dla lxdm-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f data/lxdm.conf
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,security} \
	$RPM_BUILD_ROOT{/etc/systemd/system,%{systemdunitdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/lxdm
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/lxdm
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/Xsession
touch $RPM_BUILD_ROOT/etc/security/blacklist.lxdm

ln -s /dev/null $RPM_BUILD_ROOT/etc/systemd/system/lxdm.service

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add %{name}
%service -n %{name} restart
%systemd_reload

%preun init
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del %{name}
	%service %{name} stop
fi

%postun init
%systemd_reload

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %config %{_sysconfdir}/%{name}/LoginReady
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PostLogin
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PostLogout
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PreLogin
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PreReboot
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PreShutdown
%attr(755,root,root) %config %{_sysconfdir}/%{name}/Xsession
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.lxdm
%attr(755,root,root) %{_bindir}/%{name}-config
%attr(755,root,root) %{_sbindir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}-binary
%attr(755,root,root) %{_libexecdir}/%{name}-greeter-gtk
%attr(755,root,root) %{_libdir}/%{name}-greeter-gdk
%attr(755,root,root) %{_libdir}/%{name}-numlock
%attr(755,root,root) %{_libdir}/%{name}-session
%{_datadir}/%{name}
%{systemdunitdir}/lxdm.service

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/systemd/system/lxdm.service
%changelog
* Tue Dec 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxdm.git;a=log;h=master

* Tue Dec 15 2015 Elan Ruusamäe <glen@delfi.ee> 8eb19d8
- up to 0.5.3

* Mon Oct 12 2015 Jacek Konieczny <jajcus@jajcus.net> 897cb76
- Version: 0.5.1

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> cd51736
- drop upstart support
- rel 14

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7fe7e36
- updated gettext BR

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> 299f73b
- add missing initscript registration

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> ee3edf8
- put systemd scripts also to proper package. refs 9269d9f, 3e47d7a, 9b7fade

* Sat Mar 01 2014 Elan Ruusamäe <glen@delfi.ee> 9370eef
- pam: optional pam_ck_connector.so for session

* Sun Jul 21 2013 Marcin Krol <hawk@tld-linux.org> 490a9dd
- fix build with -Werror=format-security

* Sat Jul 21 2012 Elan Ruusamäe <glen@delfi.ee> d32ff28
- fix event check bug caused cpu 100%

* Sun Jun 10 2012 Elan Ruusamäe <glen@pld-linux.org> 47e88cb
- load pam_gnome_keyring.so optionally

* Sun Jun 10 2012 Elan Ruusamäe <glen@pld-linux.org> 6d352d1
- whitespace cleanup; formatting

* Tue Apr 17 2012 Jan Rękorajski <baggins@pld-linux.org> 9269d9f
- rel 9
- systemd deps in proper package

* Sat Mar 24 2012 Elan Ruusamäe <glen@pld-linux.org> 3e47d7a
- keep the service mask in -init package

* Sun Mar 18 2012 Jan Rękorajski <baggins@pld-linux.org> 25b3580
- rel 7
- create systemd unit dir

* Sun Mar 18 2012 Jan Rękorajski <baggins@pld-linux.org> 9b7fade
- rel 6
- mask lxdm service for systemd to start it via prefdm

* Sun Sep 25 2011 Elan Ruusamäe <glen@pld-linux.org> b2f472a
- update upstart deps

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 92b5ab4
- requires iso-codes for lxdm-greeter-gtk

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> ac21f4f
- expect fork

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> ec895e2
- missing upstart_controlled line

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> af04ba6
- requires X-server, obviously

